### Namespace

# Notify – 0.7

Send desktop notifications

Version | 0.8.6
Authors | Marco Trevisan, Logan Rathbone, Christian Hammond, Mike Hearn, and John (J5) Palmieri
License | LGPL-2.1-or-later
Website | https://gitlab.gnome.org/GNOME/libnotify/
Source | https://gitlab.gnome.org/GNOME/libnotify/

#### Build

C headers | `libnotify/notify.h`
pkg-config files | `libnotify`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Notification | A passive pop-up notification.

#### Enumerations

ClosedReason | The reason for which the notification has been closed. since: 0.8.0
Urgency | The urgency level of the notification.

#### Callbacks

ActionCallback | An action callback function.

#### Functions

get_app_icon | Gets the application icon registered. since: 0.8.4
get_app_name | Gets the application name registered.
get_server_caps | Queries the server capabilities.
get_server_info | Queries the server for information.
init | Initialized libnotify. This must be called before any other functions.
is_initted | Gets whether or not libnotify is initialized.
set_app_icon | Sets the application icon. since: 0.8.4
set_app_name | Sets the application name.
uninit | Uninitializes libnotify.

#### Function Macros

ACTION_CALLBACK | A convenience macro for casting a function to a `NotifyActionCallback`.
CHECK_VERSION | Check whether a version equal to or greater than `major.minor.micro` is present.

#### Constants

EXPIRES_DEFAULT | The default expiration time on a notification.
EXPIRES_NEVER | The notification never expires.
VERSION_MAJOR | Adwaita major version component (e.g. 1 if the version is 1.2.3).
VERSION_MICRO | Adwaita micro version component (e.g. 3 if the version is 1.2.3).
VERSION_MINOR | Adwaita minor version component (e.g. 2 if the version is 1.2.3).